###################################################
### chunk number 1: options
###################################################
#line 40 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
options(continue = "  ")


###################################################
### chunk number 2: load
###################################################
#line 52 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
library(penalized)
library(survival)
data(nki70)


###################################################
### chunk number 3: setseed
###################################################
#line 60 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
set.seed(1)


###################################################
### chunk number 4: first
###################################################
#line 68 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
fit <- penalized(ER, ~DIAPH3+NUSAP1, data=nki70, lambda2=1)
fit <- penalized(ER, nki70[,10:11], data=nki70, lambda2=1)
fit <- penalized(ER~DIAPH3+NUSAP1, data=nki70, lambda2=1)


###################################################
### chunk number 5: survival
###################################################
#line 82 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
fit <- penalized(Surv(time,event)~DIAPH3+NUSAP1, data=nki70, lambda2=1)


###################################################
### chunk number 6: attach
###################################################
#line 88 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
attach(nki70)


###################################################
### chunk number 7: elastic net
###################################################
#line 100 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
fit <- penalized(Surv(time,event)~DIAPH3+NUSAP1, data=nki70, lambda1=1, lambda2=1)


###################################################
### chunk number 8: vector lambda
###################################################
#line 106 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
fit <- penalized(Surv(time,event)~DIAPH3+NUSAP1, data=nki70, lambda2=c(1,2))


###################################################
### chunk number 9: extract
###################################################
#line 115 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
residuals(fit)[1:10]
fitted(fit)[1:10]
basesurv(fit)


###################################################
### chunk number 10: coefficients
###################################################
#line 125 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
coefficients(fit, "all")


###################################################
### chunk number 11: loglik_penalty
###################################################
#line 131 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
loglik(fit)
penalty(fit)


###################################################
### chunk number 12: predict
###################################################
#line 140 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
predict(fit, ~DIAPH3+NUSAP1, data=nki70[1:3,])
predict(fit, nki70[1:3,c("DIAPH3","NUSAP1")])


###################################################
### chunk number 13: predict_survival
###################################################
#line 147 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
pred <- predict(fit, nki70[1:3,c("DIAPH3","NUSAP1")])
survival(pred, time=5)


###################################################
### chunk number 14: weights
###################################################
#line 160 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
coefficients(fit)
coefficients(fit, standardize = TRUE)
weights(fit)


###################################################
### chunk number 15: unpenalized
###################################################
#line 171 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
fit <- penalized(Surv(time,event), nki70[,8:77], ~ER, lambda2=1)
fit <- penalized(Surv(time,event)~ER, nki70[,8:77], lambda2=1)


###################################################
### chunk number 16: steps
###################################################
#line 206 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
fit <- penalized(Surv(time,event), nki70[,8:77], lambda1=1,
    steps=50, trace = FALSE)
plotpath(fit, log="x")


###################################################
### chunk number 17: steps park
###################################################
#line 214 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
fit <- penalized(Surv(time,event), nki70[,8:77], lambda1=1,
    steps="Park", trace = FALSE)


###################################################
### chunk number 18: stepsplot
###################################################
#line 222 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
plotpath(fit, log="x")


###################################################
### chunk number 19: positive
###################################################
#line 234 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
fit <- penalized(Surv(time,event), nki70[,8:77], positive=TRUE)


###################################################
### chunk number 20: positivecoefficients
###################################################
#line 238 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
coefficients(fit)


###################################################
### chunk number 21: positivestepsplot
###################################################
#line 243 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
fit <- penalized(Surv(time,event), nki70[,8:77], positive=TRUE,
    steps=50)
plotpath(fit)


###################################################
### chunk number 22: partpositive
###################################################
#line 252 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
coef(penalized(Surv(time,event), nki70[,8:16], positive=c(F,rep(T,8))))


###################################################
### chunk number 23: globaltest_install eval=FALSE
###################################################
## #line 261 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
## source("http://bioconductor.org/biocLite.R")
## biocLite("globaltest")


###################################################
### chunk number 24: globaltest
###################################################
#line 268 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
library(globaltest)
gt(Surv(time,event), nki70[,8:77])


###################################################
### chunk number 25: cvl1
###################################################
#line 297 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
fit <- cvl(Surv(time,event), nki70[,8:77], lambda1=1, fold=10)


###################################################
### chunk number 26: cvl2
###################################################
#line 301 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
fit$cvl
fit$fullfit


###################################################
### chunk number 27: cvl3
###################################################
#line 306 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
fit <- cvl(Surv(time,event), nki70[,8:77], lambda1=2, fold=fit$fold)


###################################################
### chunk number 28: cvlappr1
###################################################
#line 322 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
fit1 <- cvl(Surv(time,event), nki70[,8:77], lambda2=10)


###################################################
### chunk number 29: cvlappr2
###################################################
#line 326 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
fit1$cvl


###################################################
### chunk number 30: cvlappr3
###################################################
#line 330 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
fit2 <- cvl(Surv(time,event), nki70[,8:77], lambda2=10, approximate=TRUE)


###################################################
### chunk number 31: cvlappr4
###################################################
#line 334 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
fit2$cvl


###################################################
### chunk number 32: breslow
###################################################
#line 345 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
fit$predictions
time(fit$predictions)
as.data.frame(basesurv(fit$fullfit))[1:10,]
plot(fit$predictions)


###################################################
### chunk number 33: breslowplot
###################################################
#line 353 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
plot(fit$predictions)


###################################################
### chunk number 34: cv-survival
###################################################
#line 360 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
survival(fit$predictions, 5)[1:10]


###################################################
### chunk number 35: prof
###################################################
#line 382 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
fit1 <- profL1(Surv(time,event), nki70[,50:70], fold=10, plot=TRUE)
fit2 <- profL2(Surv(time,event), nki70[,50:70], fold=fit1$fold,
    minl = 0.01, maxl = 1000)
plot(fit2$lambda, fit2$cvl, type="l", log="x")


###################################################
### chunk number 36: profplot1
###################################################
#line 390 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
plot(fit1$lambda, fit1$cvl, type="l")


###################################################
### chunk number 37: profplot2
###################################################
#line 396 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
plot(fit2$lambda, fit2$cvl, type="l", log="x")


###################################################
### chunk number 38: profpath
###################################################
#line 403 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
plotpath(fit2$fullfit, log="x")


###################################################
### chunk number 39: profpathplot
###################################################
#line 408 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
plotpath(fit2$fullfit, log="x")


###################################################
### chunk number 40: opt1
###################################################
#line 426 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
opt1 <- optL1(Surv(time,event), nki70[,50:70], fold=fit1$fold)


###################################################
### chunk number 41: optres
###################################################
#line 430 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
opt1$lambda
opt1$cvl


###################################################
### chunk number 42: opt2
###################################################
#line 435 "d:/Rcompile/CRANpkg/local/2.12/penalized/inst/doc/penalized.Rnw"
opt2 <- optL2(Surv(time,event), nki70[,50:70], fold=fit2$fold)


